<!-- ReCo's Vertical Techtree -->

<tree-shared.xml>

  <default-line>
    <line>ReCos_Vertical_Techtree</line>
    <outPin>RM</outPin>
    <inPin>D</inPin>
  </default-line>

  <available-nations>
    <nation>uk</nation>
    <nation>usa</nation>
    <nation>ussr</nation>
    <nation>china</nation>
    <nation>japan</nation>
    <nation>france</nation>
    <nation>germany</nation>
  </available-nations>

  <settings-set>
    <settings>ReCos_Vertical_Techtree
      <item>
        <name>hasRoot</name>
        <value>True</value>
      </item>
      <item>
        <name>isLevelDisplayed</name>
        <value>False</value>
      </item>
      <item>
        <name>nodeRendererName</name>
        <value>NationTreeNodeSkinned</value>
      </item>
    </settings>
  </settings-set>

  <grids>

    <grid>
      11
      <root>
        <start>0 0</start>
        <step>0</step>
      </root>
      <vertical>
        <start>20</start>
        <step>55</step>
      </vertical>
      <horizontal>
        <start>545</start>
        <step>74</step>
      </horizontal>
    </grid>

    <grid>
      10
      <root>
        <start>0 0</start>
        <step>0</step>
      </root>
      <vertical>
        <start>20</start>
        <step>55</step>
      </vertical>
      <horizontal>
        <start>619</start>
        <step>74</step>
      </horizontal>
    </grid>

    <grid>
      9
      <root>
        <start>0 0</start>
        <step>0</step>
      </root>
      <vertical>
        <start>20</start>
        <step>55</step>
      </vertical>
      <horizontal>
        <start>693</start>
        <step>74</step>
      </horizontal>
    </grid>

    <grid>
      8
      <root>
        <start>0 0</start>
        <step>0</step>
      </root>
      <vertical>
        <start>20</start>
        <step>55</step>
      </vertical>
      <horizontal>
        <start>767</start>
        <step>74</step>
      </horizontal>
    </grid>

    <grid>
      7
      <root>
        <start>0 0</start>
        <step>0</step>
      </root>
      <vertical>
        <start>20</start>
        <step>55</step>
      </vertical>
      <horizontal>
        <start>841</start>
        <step>74</step>
      </horizontal>
    </grid>

    <grid>
      6
      <root>
        <start>0 0</start>
        <step>0</step>
      </root>
      <vertical>
        <start>20</start>
        <step>55</step>
      </vertical>
      <horizontal>
        <start>915</start>
        <step>74</step>
      </horizontal>
    </grid>

    <grid>
      5
      <root>
        <start>0 0</start>
        <step>0</step>
      </root>
      <vertical>
        <start>20</start>
        <step>55</step>
      </vertical>
      <horizontal>
        <start>989</start>
        <step>74</step>
      </horizontal>
    </grid>

    <grid>
      4
      <root>
        <start>0 0</start>
        <step>0</step>
      </root>
      <vertical>
        <start>20</start>
        <step>55</step>
      </vertical>
      <horizontal>
        <start>1063</start>
        <step>74</step>
      </horizontal>
    </grid>

    <grid>
      3
      <root>
        <start>0 0</start>
        <step>0</step>
      </root>
      <vertical>
        <start>20</start>
        <step>55</step>
      </vertical>
      <horizontal>
        <start>1137</start>
        <step>74</step>
      </horizontal>
    </grid>

    <grid>
      2
      <root>
        <start>0 0</start>
        <step>0</step>
      </root>
      <vertical>
        <start>20</start>
        <step>55</step>
      </vertical>
      <horizontal>
        <start>1211</start>
        <step>74</step>
      </horizontal>
    </grid>

  </grids>

  <lines>
    <ReCos_Vertical_Techtree>
      <outPin>
        <RM>64 34</RM>
      </outPin>
      <inPin>
        <L>131 17</L>     <!-- left -->
        <LU>131 17</LU>   <!-- diagonal left down, then left -->
        <LD>130 -2</LD>   <!-- diagonal left down -->
        <LS>130 -2</LS>   <!-- left, then diagonal left down -->
        <L2>66 -2</L2>    <!-- diagonal left down from/to split column -->
        <R>4 17</R>       <!-- right -->
        <RU>4 17</RU>     <!-- diagonal right down, then right -->
        <RD>3 3</RD>      <!-- diagonal right down -->
        <RS>3 3</RS>      <!-- right, then diagonal right down -->
        <R2>66 4</R2>     <!-- diagonal right down from/to split column -->
        <D>64 4</D>       <!-- down -->
      </inPin>
      <viaPin>
        <RM>
          <L>
            <pin>0 34</pin>
            <pin>0 17</pin>
          </L>
          <LU>
            <pin>0 34</pin>
            <pin>-38 72</pin>
          </LU>
          <LD>
            <pin>1 34</pin>
          </LD>
          <LS>
            <pin>0 34</pin>
            <pin>0 17</pin>
            <pin>-130 17</pin>
          </LS>
          <L2>
            <pin>1 34</pin>
          </L2>
          <R>
            <pin>127 34</pin>
            <pin>127 17</pin>
          </R>
          <RU>
            <pin>127 34</pin>
            <pin>165 72</pin>
          </RU>
          <RD>
            <pin>127 34</pin>
          </RD>
          <RS>
            <pin>127 34</pin>
            <pin>127 17</pin>
            <pin>258 17</pin>
          </RS>
          <R2>
            <pin>127 34</pin>
          </R2>
        </RM>
      </viaPin>
    </ReCos_Vertical_Techtree>
  </lines>

</tree-shared.xml>

<!-- ReCo's Vertical Techtree -->